# Generated by Django 2.0.7 on 2018-07-30 13:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('organization', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('study', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Assignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('status', models.CharField(blank=True, choices=[('new', 'New'), ('assigned', 'Assigned'), ('declined', 'Declined'), ('accepted', 'Accepted'), ('rejected', 'Rejected'), ('done', 'Done')], max_length=20, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='created_assignments', to=settings.AUTH_USER_MODEL)),
                ('facility', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='assignments', to='organization.Facility')),
                ('independent_radiologist', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='independent_radiologist_assignments', to=settings.AUTH_USER_MODEL)),
                ('radiologist', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='radiologist_assignments', to=settings.AUTH_USER_MODEL)),
                ('study', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='assignment', to='study.Study')),
            ],
            options={
                'verbose_name_plural': 'Assignments',
                'db_table': 'assignments',
            },
        ),
    ]
